| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# funcdef

$Revision: 1.3 $

$Date: 2002/06/12 11:18:10 $

funcdef — A function (subroutine) name and its return type

## Synopsis

### Mixed Content Model

    funcdef ::=
    (#PCDATA|type|replaceable|function)*

### Attributes

Common attributes

## Description

A `FuncDef` contains the name of a programming language function, and its return type.

Within the `FuncDef`, the function name is identified with `Function`, and the rest of the content is assumed to be the return type.

In the following definition, `max` is the name of the function and int is the return type:

    <funcdef>int <function>max</function></funcdef>

### Processing expectations

Formatted inline. For a complete description of the processing expecations, see `FuncSynopsis`.

### Parents

These elements contain funcdef: `funcprototype`.

### Children

The following elements occur in funcdef: `function`, `replaceable`, `type`.

## See Also

`funcparams`, `funcprototype`, `funcsynopsisinfo`, `function`, `paramdef`, `parameter`, `returnvalue`, `varargs`, `void`.

## Examples

    <!DOCTYPE funcsynopsis PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <funcsynopsis>
    <funcprototype>
    <funcdef>int <function>rand</function></funcdef>
      <void/>
    </funcprototype>
    </funcsynopsis>

``int rand`();`

For additional examples, see also `funcparams`, `funcsynopsis`, `paramdef`, `refentry`, `varargs`.

formalpara |  | funcparams

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.